petsc-3.7.1 2016-05-15
Report Typos and Errors

# PCBDDCSetCoarseningRatio

Set coarsening ratio used in multilevel

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PCBDDCSetCoarseningRatio(PC pc,PetscInt k)

Logically collective on PC Many br

### Input Parameters

| pc | - the preconditioning context Many br
| k | - coarsening ratio (H/h at the coarser level) Many br

### Options Database Keys

-pc_bddc_coarsening_ratio - Many br Many br

### Notes

Approximatively k subdomains at the finer level will be aggregated into a single subdomain at the coarser level Many br

### See Also

PCBDDC, PCBDDCSetLevels()

Level:intermediate
Location:src/ksp/pc/impls/bddc/bddc.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages